
```mermaid
graph TD;

%% this is a comment inside mermaid  

FunctionCalcEstmCohrt["Function CalcEstmCohrt"]
FunctionCalcEstmCohrt2["Function CalcEstmCohrt2"]
FunctionChooseFishType["Function ChooseFishType"]
FunctionexecuteSQLDataTable["Function executeSQLDataTable"]
FunctionexecuteSQLSingle["Function executeSQLSingle"]
FunctionFindBY["Function FindBY"]
FunctionFindSubScrpt["Function FindSubScrpt"]
FunctionFindTotRel["Function FindTotRel"]
FunctionMakeFormat["Function MakeFormat"]
FunctionmasterCDSList["Function masterCDSList"]
FunctionND["Function ND"]
FunctionReduceAdltEqv["Function ReduceAdltEqv"]
FunctionSumAnnCat["Function SumAnnCat"]
FunctionsumCat2["Function sumCat2"]
FunctionsumCat3["Function sumCat3"]
FunctionsumCat4["Function sumCat4"]
FunctionSumMatAgeCat["Function SumMatAgeCat"]
FunctionSumTotCat_Age["Function SumTotCat_Age"]
FunctionTestDistribution["Function TestDistribution"]
FunctionTestDistribution2["Function TestDistribution2"]
FunctionTestEnd["Function TestEnd"]
PrivateSubArithmeticMean_Click["Private Sub ArithmeticMean_Click"]
PrivateSubcmdOK_Click["Private Sub cmdOK_Click"]
PrivateSubfrmMain_Closed["Private Sub frmMain_Closed"]
PrivateSubGeometricMean_Click["Private Sub GeometricMean_Click"]
PrivateSubRadioButton3_CheckedChanged["Private Sub RadioButton3_CheckedChanged"]
PrivateSubStartForm_Load["Private Sub StartForm_Load"]
PrivateSubuseIncompBroodChkBox_Click["Private Sub useIncompBroodChkBox_Click"]
PublicSubGetAccessProvider["Public Sub GetAccessProvider"]
PublicSubmnuHelpAbout_Click["Public Sub mnuHelpAbout_Click"]
PublicSubmnuHelpAbout_Popup["Public Sub mnuHelpAbout_Popup"]
PublicSubmnuProgramVersion_Click["Public Sub mnuProgramVersion_Click"]
PublicSubPrimarySub["Public Sub PrimarySub"]
SubaddNewFishery["Sub addNewFishery"]
SubCalcAnnualTotals["Sub CalcAnnualTotals"]
SubCalcCNR["Sub CalcCNR"]
SubCalcCohort["Sub CalcCohort"]
SubCalcCohort_IncompleteBrood["Sub CalcCohort_IncompleteBrood"]
SubCalcExploitRates["Sub CalcExploitRates"]
SubCalcFinalTotals["Sub CalcFinalTotals"]
SubCalcLegal["Sub CalcLegal"]
SubCheckCompleteBY["Sub CheckCompleteBY"]
SubCheckFishNames["Sub CheckFishNames"]
SubCheckNumAges["Sub CheckNumAges"]
SubCheckNumFish["Sub CheckNumFish"]
SubCNRNoDir["Sub CNRNoDir"]
SubCombineFish["Sub CombineFish"]
SubCreatePNV["Sub CreatePNV"]
SubCreateTagCodeList["Sub CreateTagCodeList"]
SubERA_Output_ByStock["Sub ERA_Output_ByStock"]
SubERA_Output_ByStockAndFishery["Sub ERA_Output_ByStockAndFishery"]
SubFileDialog["Sub FileDialog"]
SubFindTerminal["Sub FindTerminal"]
SubGetPath["Sub GetPath"]
SubGETPNVDATA["Sub GETPNVDATA"]
SubLISTFILES["Sub LISTFILES"]
SubopenCASdb["Sub openCASdb"]
SubOutputAnalysis["Sub OutputAnalysis"]
SubPopulateReleaseTablebyBYfromDB["Sub PopulateReleaseTablebyBYfromDB"]
SubPrint_CFILES["Sub Print_CFILES"]
Subprint_D_OUT["Sub print_D_OUT"]
SubPrint_HRJ["Sub Print_HRJ"]
SubPrint_IM["Sub Print_IM"]
Subprint_OcnHR["Sub print_OcnHR"]
SubPrint_OUT["Sub Print_OUT"]
Subprint_SVR["Sub print_SVR"]
Subprint_THR["Sub print_THR"]
SubPrintBL["Sub PrintBL"]
SubPrintBlkFin["Sub PrintBlkFin"]
SubPrintBlock1["Sub PrintBlock1"]
SubPrintBlock2["Sub PrintBlock2"]
SubPrintBlock3["Sub PrintBlock3"]
SubPrintDistLine["Sub PrintDistLine"]
SubPrintError["Sub PrintError"]
SubPrintHeader["Sub PrintHeader"]
SubPrintleftLabel["Sub PrintleftLabel"]
SubPrintNum["Sub PrintNum"]
SubPrintRightLabel["Sub PrintRightLabel"]
SubProductionWeight["Sub ProductionWeight"]
SubreadCDSfile["Sub readCDSfile"]
SubreadCfiles["Sub readCfiles"]
SubreadCfilesDB["Sub readCfilesDB"]
SubreadCM1file["Sub readCM1file"]
SubreadCMBspreadsheet["Sub readCMBspreadsheet"]
SubReadMeanLengthSD["Sub ReadMeanLengthSD"]
SubReadMinVulnLen["Sub ReadMinVulnLen"]
SubreadsetofQs["Sub readsetofQs"]
SubReadSizeLimits["Sub ReadSizeLimits"]
SubResetCatches["Sub ResetCatches"]
SubSaveStkFile["Sub SaveStkFile"]
SubSetBY["Sub SetBY"]
SubShakerMethod1["Sub ShakerMethod1"]
SubShakerMethod4["Sub ShakerMethod4"]
SubSumYearCat["Sub SumYearCat"]
SubTestBY["Sub TestBY"]
SubTestTot["Sub TestTot"]


%%__________________________________________________________________
  %% Here is where the flowchart begins

PublicSubPrimarySub-->SubFileDialog
PublicSubPrimarySub-->SubreadCM1file;
PublicSubPrimarySub-->SubCreateTagCodeList;
PublicSubPrimarySub -->useCFiles{useCFiles}
useCFiles -->|TRUE| D[Result one]
useCFiles -->|FALSE| E[Result two]
E --> askUserForLastCY{askUserForLastCY}
askUserForLastCY -->|TRUE| F[Do nothing, value in CM1]
askUserForLastCY -->|FALSE| SubCreateTagCodeList;
```